Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 737064 - dev-lang/clojure fails tests: java.io.FileNotFoundException: Could not locate clojure/spec/alpha__init.class, clojure/spec/alph a.clj or clojure/spec/alpha.cljc on classpath
Summary: dev-lang/clojure fails tests: java.io.FileNotFoundException: Could not locate...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 777264
  Show dependency tree
 
Reported: 2020-08-14 06:50 UTC by Agostino Sarubbo
Modified: 2021-06-21 14:30 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,15.74 KB, text/plain)
2020-08-14 06:50 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-08-14 06:50:25 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: dev-lang/clojure-1.9.0-r1 fails tests.
Discovered on: amd64 (internal ref: tinderbox)

NOTE:
This machine uses a clang/LLVM toolchain.
If you think that this issue is strictly related to clang/LLVM please block bug 408963. If you think that this issue is strictly related to the LLD linker, please block bug 731004.
Comment 1 Agostino Sarubbo gentoo-dev 2020-08-14 06:50:28 UTC
Created attachment 654552 [details]
build.log

build log and emerge --info
Comment 2 Marco Scardovi (scardracs) 2021-03-18 21:20:44 UTC
This error is the same as 1.10.0 and fixed on newer version of clojure. Can be closed
Comment 3 Thomas Deutschmann gentoo-dev Security 2021-03-30 14:15:13 UTC
In which version is this fixed?
Comment 4 Marco Scardovi (scardracs) 2021-03-30 14:39:04 UTC
It is fixed on clojure-1.10.0. Actually if you run clojure-1.10 it works without any problems. It is also know version >1.10 are bugged ATM
Comment 5 Marco Scardovi (scardracs) 2021-03-30 15:00:32 UTC
Sorry, I have to retreat what I said. Test is actually restricted because of this. During testing it doesn't find this file and go in error, but installing it is actually fine and working, this because it's able to find the file again
Comment 6 Marco Scardovi (scardracs) 2021-03-30 19:38:03 UTC
At time writing Clojure is a mess both with test and with functions (read here: https://github.com/gentoo/gentoo/pull/19991#issuecomment-810522652) and I haven't enought knowledge in order to fix it. If someone will take a look on it is free to try
Comment 7 Larry the Git Cow gentoo-dev 2021-06-21 14:30:09 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cc57f9f25d40bff2e2b0e3179eac82e467f5952e

commit cc57f9f25d40bff2e2b0e3179eac82e467f5952e
Author:     Florian Schmaus <flo@geekplace.eu>
AuthorDate: 2021-06-17 15:54:16 +0000
Commit:     Göktürk Yüksek <gokturk@gentoo.org>
CommitDate: 2021-06-21 14:26:38 +0000

    dev-lang/clojure: add 1.10.3
    
    This is a "new kind" of clojure ebuilds, which does not longer depend
    on dev-java/spec-alpha and dev-java/core-specs-alpha, but instead is
    able to bootstrap itself. Major thanks to Göktürk Yüksek for coming up
    with a way to bootstrap clojure (see
    add-compile-spec-ant-build-target.patch).
    
    Closes: https://bugs.gentoo.org/661442
    Closes: https://bugs.gentoo.org/737064
    Closes: https://github.com/gentoo/gentoo/pull/21285
    Signed-off-by: Florian Schmaus <flo@geekplace.eu>
    Signed-off-by: Göktürk Yüksek <gokturk@gentoo.org>

 dev-lang/clojure/Manifest                          |  9 ++
 dev-lang/clojure/clojure-1.10.3.ebuild             | 97 ++++++++++++++++++++++
 .../files/add-compile-spec-ant-build-target.patch  | 54 ++++++++++++
 3 files changed, 160 insertions(+)